<template>
    <v-layout row wrap>
        <v-flex xs12>
            <form>
                <vue-form-generator :model="model" :schema="schema" :options="options">
                </vue-form-generator>
                <div slot="footer">
                    <button type="submit" class="btn btn-fill btn-rose">Submit</button>
                    <b-btn @click="showFormInfoAlert = !showFormInfoAlert" variant="info" class="m-1"
                           style="position: fixed; right:10px; bottom:10px;">
                        Show form info
                    </b-btn>
                    <b-alert variant="info"
                             dismissible
                             :show="showFormInfoAlert"
                             @dismissed="showFormInfoAlert=false"
                             style="position: fixed; right:10px; bottom:50px; width:300px; max-height: 500px; overflow: scroll">
                        <pre class="text-left">{{model}}</pre>
                        <pre class="text-left">{{schema}}</pre>
                        <pre class="text-left">{{options}}</pre>
                    </b-alert>
                </div>
            </form>

        </v-flex>
    </v-layout>
</template>

<script>
    import {exampleFormParams} from './schemes/formExample'
    export default {
        name: 'FormExampleSecond',
        components: {},
        data: () => ({
            showFormInfoAlert:false,
            allowSpaces: false,
            match: 'Foobar',
            max: 10,
            checkbox: true,
            radioGroup: 1,
            switch1: true,
            placeholder: '',
            exampleFormParams:exampleFormParams,
            schema:exampleFormParams.schema,
            model:exampleFormParams.model,
            options:exampleFormParams.options
        }),
        computed:exampleFormParams.computed,
        watch: {
            match: 'validateField',
            max: 'validateField',
            model: 'validateField'
        },

        methods: {
            validateField() {
                this.$refs.form.validate()
            }
        }
    }
</script>